(function ($) {
	$.sanitize = function (input) {
		/*
var output = input.replace(/<script[^>]*?>.*?<\/script>/gi, '').
			 replace(/<[\/\!]*?[^<>]*?>/gi, '').
			 replace(/<style[^>]*?>.*?<\/style>/gi, '').
			 replace(/<![\s\S]*?--[ \t\n\r]*>/gi, '');
	return output;
		*/

		return input.replace(/<(|\/|[^>\/bi]|\/[^>bi]|[^\/>][^>]+|\/[^>][^>]+)>/g, '');
	};
})(jQuery);

function findAgents(text) {
	var gifRegex = /@gif\b(.*)$/gi;
	var aiRegex = /@ai\b(.*)$|@smi\b(.*)$/gi;
	var gif_match = gifRegex.exec(text);
	var ai_match = aiRegex.exec(text);
	if (gif_match) {
		return { agent: "GIF", value: gif_match[1] };
	}

	if (ai_match) {
		if (ai_match[1]) {
			return { agent: "AI", value: ai_match[1], nature: false };
		} else if (ai_match[2]) {
			return { agent: "SMI", value: ai_match[2], nature: true };
		}
	}

	return { agent: "none", value: null };

}

function formatText(text) {
	// console.log("Text:", text);
	var urlRegex = /(https?:\/\/[^\s]+)/gi;
	var aiRegex = /@ai\b(.*)$|@smi\b(.*)$/gi;
	var ai_match = aiRegex.exec(text);
	if (ai_match) {
		if (ai_match[1]) {
			return '<span class="agent">@ai</span>' + ai_match[1];
		} else if (ai_match[2]) {
			return '<span class="agent">@smi</span>' + ai_match[2];
		}
	}
	return text.replace(urlRegex, function (url) {
		return '<a onclick="goHere()" href="' + url + '">' + url + '</a>';
	});
}